For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
API StatusPartner Portal
HomeGuidesAPI ExplorerSDKsGitHubSupport
HomeGuidesAPI ExplorerSDKsGitHubSupport
  • API Concepts
    • Overview
    • Environments and URLs
    • Authentication
    • API versioning
    • Rate limiting
    • HTTP headers
    • Pagination, sorting, and filtering
  • General
  • Common
  • Accounts payable
  • Accounts receivable
  • E-invoicing
  • Payments
  • Accounting integration
  • Expense management
  • Utilities
      • GETGet PDF templates
      • GETGet built-in PDF templates
      • GETGet a PDF template by ID
      • POSTSet the default PDF template
      • GETPreview a PDF template
LogoLogo
API StatusPartner Portal
UtilitiesPDF templates

Set the default PDF template

POST
/document_templates/:document_template_id/make_default
POST
/v1/document_templates/:document_template_id/make_default
$curl -X POST https://api.sandbox.monite.com/v1/document_templates/document_template_id/make_default \
> -H "x-monite-version: 2024-05-25" \
> -H "x-monite-entity-id: 9d2b4c8f-2087-4738-ba91-7359683c49a4" \
> -H "Authorization: Bearer <token>"
1{
2 "id": "id",
3 "document_type": "receivable",
4 "is_default": true,
5 "language": "language",
6 "name": "name",
7 "template": "template",
8 "created_at": "2024-01-15T09:30:00Z",
9 "updated_at": "2024-01-15T09:30:00Z",
10 "blocks": [
11 "blocks"
12 ],
13 "preview": {
14 "id": "id",
15 "created_at": "2024-01-15T09:30:00Z",
16 "updated_at": "2024-01-15T09:30:00Z",
17 "file_type": "file_type",
18 "md5": "60997cbcc1a6fb2ec37d389ffa8588db",
19 "mimetype": "application/pdf",
20 "name": "timesheet.pdf",
21 "region": "eu-central-1",
22 "s3_bucket": "s3_bucket",
23 "s3_file_path": "s3_file_path",
24 "size": 120101,
25 "url": "https://bucketname.s3.amazonaws.com/path/to/timesheet.pdf"
26 },
27 "template_type": "block"
28}
Was this page helpful?
Previous

Preview a PDF template

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

document_template_idstringRequired

Headers

x-monite-versionstringRequired
x-monite-entity-idstringRequired
The ID of the entity that owns the requested resource.

Response

Successful Response
idstringformat: "uuid"
document_typeenum
Allowed values:
is_defaultboolean
languagestring
namestring
templatestring
created_atdatetime
updated_atdatetime
blockslist of strings
previewobject
template_typeenum
Allowed values:

Errors

401
Post Document Templates ID Make Default Request Unauthorized Error
422
Post Document Templates ID Make Default Request Unprocessable Entity Error
429
Post Document Templates ID Make Default Request Too Many Requests Error